% Code to plot simulation results from the model
%% Plot Description:
%
% The plot below shows gate charge vs. gate-source voltage for a fixed
% gate voltage.
%
% Copyright 2018 The MathWorks, Inc.

sim('elec_mosfet_charge_char');
load('gate_char');
plot(gate_char(:,1),gate_char(:,2),'--','LineWidth',1.5);
axis([0 12e-9 0 8])
xlabel('Qg - Gate Charge (nC)')
ylabel('VGS - Gate-to-Source Voltage (V)')
title('Gate Charge Characteristics')
grid on
hold on
plot(Charge_char.signals(3).values,Charge_char.signals(1).values','LineWidth',1.5,'Color','r');
leg = {'Datasheet','Simulation'};
legend(leg);